let $term := "Covid-19"

for $item in collection("RSSFeeds")//item
let $title := fn:data($item/title)
let $link := fn:data($item/link)

let $date := fn:parse-ietf-date(fn:data($item/pubDate))

where fn:contains($title, $term)
order by $date descending
return (
  copy $e := $item
  modify ( rename node $e as 'entry',
        rename node $e/description as 'summary',
        replace value of node $e/pubDate with $date,
        rename node $e/pubDate as 'updated',
        rename node $e/guid as 'id'
     )
  return $e
)